org.apache.cassandra.service

## Interface StorageProxy.WritePerformer

- Enclosing class:
    StorageProxy

      public static interface StorageProxy.WritePerformer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(IMutation mutation, java.lang.Iterable<java.net.InetAddress> targets, AbstractWriteResponseHandler responseHandler, java.lang.String localDataCenter, ConsistencyLevel consistency_level)`

- - ### Method Detail

    - #### apply

          void apply(IMutation mutation,
                   java.lang.Iterable<java.net.InetAddress> targets,
                   AbstractWriteResponseHandler responseHandler,
                   java.lang.String localDataCenter,
                   ConsistencyLevel consistency_level)
                     throws java.io.IOException,
                            OverloadedException

      Throws:
        `java.io.IOException`
        `OverloadedException`

Copyright © 2014 The Apache Software Foundation